org.apache.hc.core5.http.impl.nio

## Class ClientHttp1StreamDuplexerFactory

- java.lang.Object
- - org.apache.hc.core5.http.impl.nio.ClientHttp1StreamDuplexerFactory

-     @Contract(threading=IMMUTABLE_CONDITIONAL)
      @Internal
      public final class ClientHttp1StreamDuplexerFactory
      extends Object

  `ClientHttp1StreamDuplexer` factory.
  Since:
    5.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientHttp1StreamDuplexerFactory(HttpProcessor httpProcessor, Http1Config http1Config, CharCodingConfig charCodingConfig)`
    `ClientHttp1StreamDuplexerFactory(HttpProcessor httpProcessor, Http1Config http1Config, CharCodingConfig charCodingConfig, ConnectionReuseStrategy connectionReuseStrategy, NHttpMessageParserFactory<HttpResponse> responseParserFactory, NHttpMessageWriterFactory<HttpRequest> requestWriterFactory, ContentLengthStrategy incomingContentStrategy, ContentLengthStrategy outgoingContentStrategy, Http1StreamListener streamListener)`
    `ClientHttp1StreamDuplexerFactory(HttpProcessor httpProcessor, Http1Config http1Config, CharCodingConfig charCodingConfig, ConnectionReuseStrategy connectionReuseStrategy, NHttpMessageParserFactory<HttpResponse> responseParserFactory, NHttpMessageWriterFactory<HttpRequest> requestWriterFactory, Http1StreamListener streamListener)`
    `ClientHttp1StreamDuplexerFactory(HttpProcessor httpProcessor, Http1Config http1Config, CharCodingConfig charCodingConfig, Http1StreamListener streamListener)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ClientHttp1StreamDuplexer` | `create(ProtocolIOSession ioSession)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClientHttp1StreamDuplexerFactory

          public ClientHttp1StreamDuplexerFactory(HttpProcessor httpProcessor,
                                          Http1Config http1Config,
                                          CharCodingConfig charCodingConfig,
                                          ConnectionReuseStrategy connectionReuseStrategy,
                                          NHttpMessageParserFactory<HttpResponse> responseParserFactory,
                                          NHttpMessageWriterFactory<HttpRequest> requestWriterFactory,
                                          ContentLengthStrategy incomingContentStrategy,
                                          ContentLengthStrategy outgoingContentStrategy,
                                          Http1StreamListener streamListener)

    - #### ClientHttp1StreamDuplexerFactory

          public ClientHttp1StreamDuplexerFactory(HttpProcessor httpProcessor,
                                          Http1Config http1Config,
                                          CharCodingConfig charCodingConfig,
                                          ConnectionReuseStrategy connectionReuseStrategy,
                                          NHttpMessageParserFactory<HttpResponse> responseParserFactory,
                                          NHttpMessageWriterFactory<HttpRequest> requestWriterFactory,
                                          Http1StreamListener streamListener)

    - #### ClientHttp1StreamDuplexerFactory

          public ClientHttp1StreamDuplexerFactory(HttpProcessor httpProcessor,
                                          Http1Config http1Config,
                                          CharCodingConfig charCodingConfig,
                                          Http1StreamListener streamListener)

    - #### ClientHttp1StreamDuplexerFactory

          public ClientHttp1StreamDuplexerFactory(HttpProcessor httpProcessor,
                                          Http1Config http1Config,
                                          CharCodingConfig charCodingConfig)

  - ### Method Detail

    - #### create

          public ClientHttp1StreamDuplexer create(ProtocolIOSession ioSession)

Copyright © 2005–2022 The Apache Software Foundation. All rights reserved.